
From: Nigel Cunningham <ncunningham@cyclades.com>

This patch fixes a warning in the disable_nonboot_cpus call in
kernel/power/smp.c.

Signed-off by: Nigel Cunningham <nigel@suspend2.net>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/power/smp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/smp.c~address-bug-using-smp_processor_id-in-preemptible kernel/power/smp.c
--- devel/kernel/power/smp.c~address-bug-using-smp_processor_id-in-preemptible	2005-07-25 22:05:00.000000000 -0700
+++ devel-akpm/kernel/power/smp.c	2005-07-25 22:05:00.000000000 -0700
@@ -38,7 +38,7 @@ void disable_nonboot_cpus(void)
 		}
 		printk("Error taking cpu %d down: %d\n", cpu, error);
 	}
-	BUG_ON(smp_processor_id() != 0);
+	BUG_ON(raw_smp_processor_id() != 0);
 	if (error)
 		panic("cpus not sleeping");
 }
_
